package com.company.jmix3.entity;

import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.core.metamodel.annotation.Store;
import io.jmix.data.DdlGeneration;
import jakarta.persistence.*;

import java.util.Date;

@DdlGeneration(value = DdlGeneration.DbScriptGenerationMode.DISABLED)
@JmixEntity
@Store(name = "baer")
@Table(name = "daily_tours")
@Entity
public class DailyTour {
    @Column(name = "id", nullable = false)
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "paj_number")
    @Lob
    private String pajNumber;

    @Column(name = "tour_number", length = 50)
    private String tourNumber;

    @Column(name = "date", nullable = false, length = 20)
    private String date;

    @Column(name = "starttime")
    @Temporal(TemporalType.TIMESTAMP)
    private Date starttime;

    @Column(name = "tour_id")
    private Integer tour;

    @Column(name = "vehicle_id")
    private Integer vehicle;

    public Integer getVehicle() {
        return vehicle;
    }

    public void setVehicle(Integer vehicle) {
        this.vehicle = vehicle;
    }

    public String getTourNumber() {
        return tourNumber;
    }

    public void setTourNumber(String tourNumber) {
        this.tourNumber = tourNumber;
    }

    public Integer getTour() {
        return tour;
    }

    public void setTour(Integer tour) {
        this.tour = tour;
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public String getPajNumber() {
        return pajNumber;
    }

    public void setPajNumber(String pajNumber) {
        this.pajNumber = pajNumber;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}