package com.company.jmix3.entity;

import io.jmix.appsettings.defaults.AppSettingsDefault;
import io.jmix.appsettings.entity.AppSettingsEntity;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

@JmixEntity
@Table(name = "SCHNEEBAER_SETTINGS")
@Entity
public class SchneebaerSettings extends AppSettingsEntity {
    @Column(name = "PDF_PATH")
    private String pdfPath;

    @Column(name = "QR_CODE_TOUR_PARAM_NAME")
    private String qrCodeTourParamName;

    @Column(name = "QR_CODE_DATE_PARAM_NAME")
    private String qrCodeDateParamName;

    @Column(name = "QR_CODE_URL")
    private String qrCodeUrl;

    @Column(name = "QR_CODE_VEHICLE_URL")
    private String qrCodeVehicleUrl;

    @Column(name = "QR_CODE_SECRET")
    private String qrCodeSecret;

    @Column(name = "PWD_SECRET")
    private String pwdSecret;

    @AppSettingsDefault("empty")
    @Column(name = "LOGIN_RELINK_URL")
    private String loginRelinkUrl;

    @Column(name = "GOOGLE_MAPS_LEADING")
    private String googleMapsLeading;

    @Column(name = "GOOGLE_MAPS_TRAILING")
    private String googleMapsTrailing;

    @Column(name = "PDF_SHOW_INTERN")
    private String pdfShowIntern;

    @Column(name = "PDF_PATH_REG_HANDLER_SHORT")
    private String pdfPathRegHandlerShort;

    @Column(name = "PHOTO_SIZING_INT_VALUE")
    private Integer photoSizingIntValue;

    @AppSettingsDefault("objectplan/")
    @Column(name = "PDF_PATH_REG_HANDLER")
    private String pdfPathRegHandler;

    @Column(name = "PAJ_TOKEN_URL")
    private String pajTokenUrl;

    @Column(name = "PAJ_TOKEN_COOKIE")
    private String pajTokenCookie;

    @Column(name = "PAJ_DEVICE_URL")
    private String pajDeviceUrl;

    @Column(name = "PAJ_LAST_POINT_URL_LEADING")
    private String pajLastPointUrlLeading;

    @Column(name = "PAJ_LAST_POINT_URL_TRAILING")
    private String pajLastPointUrlTrailing;

    @Column(name = "PAJ_LAST_POINT_URL_MODE")
    private String pajLastPointUrlMode;

    public String getPajLastPointUrlMode() {
        return pajLastPointUrlMode;
    }

    public void setPajLastPointUrlMode(String pajLastPointUrlMode) {
        this.pajLastPointUrlMode = pajLastPointUrlMode;
    }

    public String getPajLastPointUrlTrailing() {
        return pajLastPointUrlTrailing;
    }

    public void setPajLastPointUrlTrailing(String pajLastPointUrlTrailing) {
        this.pajLastPointUrlTrailing = pajLastPointUrlTrailing;
    }

    public String getPajLastPointUrlLeading() {
        return pajLastPointUrlLeading;
    }

    public void setPajLastPointUrlLeading(String pajLastPointUrlLeading) {
        this.pajLastPointUrlLeading = pajLastPointUrlLeading;
    }

    public String getPajDeviceUrl() {
        return pajDeviceUrl;
    }

    public void setPajDeviceUrl(String pajDeviceUrl) {
        this.pajDeviceUrl = pajDeviceUrl;
    }

    public String getPajTokenCookie() {
        return pajTokenCookie;
    }

    public void setPajTokenCookie(String pajTokenCookie) {
        this.pajTokenCookie = pajTokenCookie;
    }

    public String getPajTokenUrl() {
        return pajTokenUrl;
    }

    public void setPajTokenUrl(String pajTokenUrl) {
        this.pajTokenUrl = pajTokenUrl;
    }

    public String getQrCodeVehicleUrl() {
        return qrCodeVehicleUrl;
    }

    public void setQrCodeVehicleUrl(String qrCodeVehicleUrl) {
        this.qrCodeVehicleUrl = qrCodeVehicleUrl;
    }

    public String getQrCodeDateParamName() {
        return qrCodeDateParamName;
    }

    public void setQrCodeDateParamName(String qrCodeDateParamName) {
        this.qrCodeDateParamName = qrCodeDateParamName;
    }

    public String getQrCodeTourParamName() {
        return qrCodeTourParamName;
    }

    public void setQrCodeTourParamName(String qrCodeTourParamName) {
        this.qrCodeTourParamName = qrCodeTourParamName;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public String getPwdSecret() {
        return pwdSecret;
    }

    public void setPwdSecret(String pwdSecret) {
        this.pwdSecret = pwdSecret;
    }

    public String getQrCodeSecret() {
        return qrCodeSecret;
    }

    public void setQrCodeSecret(String qrCodeSecret) {
        this.qrCodeSecret = qrCodeSecret;
    }

    public String getLoginRelinkUrl() {
        return loginRelinkUrl;
    }

    public void setLoginRelinkUrl(String loginRelinkUrl) {
        this.loginRelinkUrl = loginRelinkUrl;
    }

    public String getGoogleMapsTrailing() {
        return googleMapsTrailing;
    }

    public void setGoogleMapsTrailing(String googleMapsTrailing) {
        this.googleMapsTrailing = googleMapsTrailing;
    }

    public String getGoogleMapsLeading() {
        return googleMapsLeading;
    }

    public void setGoogleMapsLeading(String googleMapsLeading) {
        this.googleMapsLeading = googleMapsLeading;
    }

    public String getPdfShowIntern() {
        return pdfShowIntern;
    }

    public void setPdfShowIntern(String pdfShowIntern) {
        this.pdfShowIntern = pdfShowIntern;
    }


    public Integer getPhotoSizingIntValue() {
        return photoSizingIntValue;
    }

    public void setPhotoSizingIntValue(Integer photoSizingIntValue) {
        this.photoSizingIntValue = photoSizingIntValue;
    }

    public String getPdfPathRegHandlerShort() {
        return pdfPathRegHandlerShort;
    }

    public void setPdfPathRegHandlerShort(String pdfPathRegHandlerShort) {
        this.pdfPathRegHandlerShort = pdfPathRegHandlerShort;
    }

    public String getPdfPathRegHandler() {
        return pdfPathRegHandler;
    }

    public void setPdfPathRegHandler(String pdfPathRegHandler) {
        this.pdfPathRegHandler = pdfPathRegHandler;
    }

    public String getPdfPath() {
        return pdfPath;
    }

    public void setPdfPath(String pdfPath) {
        this.pdfPath = pdfPath;
    }
}