package com.company.jmix3.entity;

import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.core.metamodel.annotation.Store;
import io.jmix.data.DdlGeneration;
import jakarta.persistence.*;

import java.util.Date;

@DdlGeneration(value = DdlGeneration.DbScriptGenerationMode.DISABLED)
@JmixEntity
@Store(name = "baer")
@Table(name = "tour_list")
@Entity
public class TourList {
    @Column(name = "uid", nullable = false, length = 50)
    @Id
    private String uid;

    @Column(name = "activated", nullable = false)
    private Boolean activated = false;

    @Column(name = "addressinfo", length = 500)
    private String addressinfo;

    @Column(name = "adr_lat", length = 50)
    private String adrLat;

    @Column(name = "adr_lng", length = 50)
    private String adrLng;

    @Column(name = "brush_info")
    @Lob
    private String brushInfo;

    @Column(name = "clientobject_id", nullable = false)
    private Integer clientobject;

    @Column(name = "created_by", length = 50)
    private String createdBy;

    @Column(name = "created_on")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createdOn;

    @Column(name = "done_complete")
    @Temporal(TemporalType.TIMESTAMP)
    private Date doneComplete;

    @Column(name = "done_partial")
    @Temporal(TemporalType.TIMESTAMP)
    private Date donePartial;

    @Column(name = "driver_note")
    @Lob
    private String driverNote;

    @Column(name = "groupedinfo")
    @Lob
    private String groupedinfo;

    @Column(name = "groupedkey", length = 100)
    private String groupedkey;

    @Column(name = "hand_info")
    @Lob
    private String handInfo;

    @Column(name = "hsm_info")
    @Lob
    private String hsmInfo;

    @Column(name = "hydrants")
    private Integer hydrants;

    @Column(name = "is_brush")
    private Boolean isBrush;

    @Column(name = "is_hand")
    private Boolean isHand;

    @Column(name = "is_hsm")
    private Boolean isHsm;

    @Column(name = "is_shield")
    private Boolean isShield;

    @Column(name = "key_misfit")
    private Boolean keyMisfit;

    @Column(name = "key_missing")
    private Boolean keyMissing;

    @Column(name = "max_distance")
    private Integer maxDistance;

    @Column(name = "object_id", nullable = false)
    private Integer object;

    @Column(name = "object_arrived")
    @Temporal(TemporalType.TIMESTAMP)
    private Date objectArrived;

    @Column(name = "object_skipped")
    @Temporal(TemporalType.TIMESTAMP)
    private Date objectSkipped;

    @Column(name = "photo1")
    private byte[] photo1;

    @Column(name = "photo2")
    private byte[] photo2;

    @Column(name = "photo3")
    private byte[] photo3;

    @Column(name = "remove")
    private Boolean remove;

    @Column(name = "shield_info")
    @Lob
    private String shieldInfo;

    @Column(name = "tour_id", nullable = false)
    private Integer tour;

    @Column(name = "tour_date", nullable = false, length = 50)
    private String tourDate;

    @Column(name = "tour_index", nullable = false)
    private Integer tourIndex;

    @Column(name = "tour_info")
    @Lob
    private String tourInfo;

    @Column(name = "tour_number", nullable = false, length = 10)
    private String tourNumber;

    @Column(name = "updated_by", length = 50)
    private String updatedBy;

    @Column(name = "updated_on")
    @Temporal(TemporalType.TIMESTAMP)
    private Date updatedOn;

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getTourNumber() {
        return tourNumber;
    }

    public void setTourNumber(String tourNumber) {
        this.tourNumber = tourNumber;
    }

    public String getTourInfo() {
        return tourInfo;
    }

    public void setTourInfo(String tourInfo) {
        this.tourInfo = tourInfo;
    }

    public Integer getTourIndex() {
        return tourIndex;
    }

    public void setTourIndex(Integer tourIndex) {
        this.tourIndex = tourIndex;
    }

    public String getTourDate() {
        return tourDate;
    }

    public void setTourDate(String tourDate) {
        this.tourDate = tourDate;
    }

    public Integer getTour() {
        return tour;
    }

    public void setTour(Integer tour) {
        this.tour = tour;
    }

    public String getShieldInfo() {
        return shieldInfo;
    }

    public void setShieldInfo(String shieldInfo) {
        this.shieldInfo = shieldInfo;
    }

    public Boolean getRemove() {
        return remove;
    }

    public void setRemove(Boolean remove) {
        this.remove = remove;
    }

    public byte[] getPhoto3() {
        return photo3;
    }

    public void setPhoto3(byte[] photo3) {
        this.photo3 = photo3;
    }

    public byte[] getPhoto2() {
        return photo2;
    }

    public void setPhoto2(byte[] photo2) {
        this.photo2 = photo2;
    }

    public byte[] getPhoto1() {
        return photo1;
    }

    public void setPhoto1(byte[] photo1) {
        this.photo1 = photo1;
    }

    public Date getObjectSkipped() {
        return objectSkipped;
    }

    public void setObjectSkipped(Date objectSkipped) {
        this.objectSkipped = objectSkipped;
    }

    public Date getObjectArrived() {
        return objectArrived;
    }

    public void setObjectArrived(Date objectArrived) {
        this.objectArrived = objectArrived;
    }

    public Integer getObject() {
        return object;
    }

    public void setObject(Integer object) {
        this.object = object;
    }

    public Integer getMaxDistance() {
        return maxDistance;
    }

    public void setMaxDistance(Integer maxDistance) {
        this.maxDistance = maxDistance;
    }

    public Boolean getKeyMissing() {
        return keyMissing;
    }

    public void setKeyMissing(Boolean keyMissing) {
        this.keyMissing = keyMissing;
    }

    public Boolean getKeyMisfit() {
        return keyMisfit;
    }

    public void setKeyMisfit(Boolean keyMisfit) {
        this.keyMisfit = keyMisfit;
    }

    public Boolean getIsShield() {
        return isShield;
    }

    public void setIsShield(Boolean isShield) {
        this.isShield = isShield;
    }

    public Boolean getIsHsm() {
        return isHsm;
    }

    public void setIsHsm(Boolean isHsm) {
        this.isHsm = isHsm;
    }

    public Boolean getIsHand() {
        return isHand;
    }

    public void setIsHand(Boolean isHand) {
        this.isHand = isHand;
    }

    public Boolean getIsBrush() {
        return isBrush;
    }

    public void setIsBrush(Boolean isBrush) {
        this.isBrush = isBrush;
    }

    public Integer getHydrants() {
        return hydrants;
    }

    public void setHydrants(Integer hydrants) {
        this.hydrants = hydrants;
    }

    public String getHsmInfo() {
        return hsmInfo;
    }

    public void setHsmInfo(String hsmInfo) {
        this.hsmInfo = hsmInfo;
    }

    public String getHandInfo() {
        return handInfo;
    }

    public void setHandInfo(String handInfo) {
        this.handInfo = handInfo;
    }

    public String getGroupedkey() {
        return groupedkey;
    }

    public void setGroupedkey(String groupedkey) {
        this.groupedkey = groupedkey;
    }

    public String getGroupedinfo() {
        return groupedinfo;
    }

    public void setGroupedinfo(String groupedinfo) {
        this.groupedinfo = groupedinfo;
    }

    public String getDriverNote() {
        return driverNote;
    }

    public void setDriverNote(String driverNote) {
        this.driverNote = driverNote;
    }

    public Date getDonePartial() {
        return donePartial;
    }

    public void setDonePartial(Date donePartial) {
        this.donePartial = donePartial;
    }

    public Date getDoneComplete() {
        return doneComplete;
    }

    public void setDoneComplete(Date doneComplete) {
        this.doneComplete = doneComplete;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Integer getClientobject() {
        return clientobject;
    }

    public void setClientobject(Integer clientobject) {
        this.clientobject = clientobject;
    }

    public String getBrushInfo() {
        return brushInfo;
    }

    public void setBrushInfo(String brushInfo) {
        this.brushInfo = brushInfo;
    }

    public String getAdrLng() {
        return adrLng;
    }

    public void setAdrLng(String adrLng) {
        this.adrLng = adrLng;
    }

    public String getAdrLat() {
        return adrLat;
    }

    public void setAdrLat(String adrLat) {
        this.adrLat = adrLat;
    }

    public String getAddressinfo() {
        return addressinfo;
    }

    public void setAddressinfo(String addressinfo) {
        this.addressinfo = addressinfo;
    }

    public Boolean getActivated() {
        return activated;
    }

    public void setActivated(Boolean activated) {
        this.activated = activated;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }
}