package com.company.jmix3.view.blankviewtest;

import com.company.jmix3.entity.User;
import com.company.jmix3.view.main.MainView;
import com.vaadin.flow.component.AttachEvent;
import com.vaadin.flow.component.ClickEvent;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.router.Route;
import com.vaadin.flow.server.auth.AnonymousAllowed;
import io.jmix.core.security.AccessDeniedException;
import io.jmix.flowui.ViewNavigators;
import io.jmix.flowui.kit.component.button.JmixButton;
import io.jmix.flowui.view.StandardView;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;
import io.jmix.securityflowui.authentication.AuthDetails;
import io.jmix.securityflowui.authentication.LoginViewSupport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.BadCredentialsException;
import org.springframework.security.authentication.DisabledException;
import org.springframework.security.authentication.LockedException;

import javax.security.auth.login.LoginContext;

@AnonymousAllowed
@Route(value = "BlankViewTest", layout = MainView.class)
@ViewController("BlankViewTest")
@ViewDescriptor("blank-view-test.xml")
public class BlankViewTest extends StandardView {
    @Autowired
    LoginViewSupport loginViewSupport;

/*

    @Subscribe
    public void onAttachEvent(final AttachEvent event) {
        login("test","test");
        login("admin", "admin");
        viewNavigators.listView(User.class).navigate();
        //System.out.println(UI.getCurrent().getCurrentView().getId().toString());
    }


 */
    private void login(String user, String pwd) {
        try {
            loginViewSupport.authenticate(
                    AuthDetails.of(user, pwd)
            );
        } catch (final BadCredentialsException | DisabledException | LockedException | AccessDeniedException e) {
            System.out.println("login failed ");
        }
    }

    @Autowired
    private ViewNavigators viewNavigators;

    @Subscribe
    public void onReady(final BeforeShowEvent event) {

    }

    @Subscribe("relinkBtn")
    public void onRelinkBtnClick(final ClickEvent<JmixButton> event) {
        //login("test","test");
        login("admin", "admin");
        viewNavigators.listView(User.class).navigate();
        System.out.println(UI.getCurrent().getCurrentView().getId().toString());
    }


}